<?php
/* ------------------------------------------------------------------------ */
/* Theme Footer
/* ------------------------------------------------------------------------ */
global $sd_data 
?>
</div>
<!-- content end -->
<!-- footer -->

<footer id="footer">
	<div class="grey-stripe clearfix">
		<div class="twitter-container">
			<div class="twitter-feed" data-user="<?php echo $sd_data['twitter_username']; ?>"></div>
		</div>
	</div>
	<div class="newsletter">
		<div class="newsletter-content">
			<div class="newsletter-box">
				<h4>
					<?php _e('Newsletter Sign Up', 'framework'); ?>
				</h4>
				<div class="newsletter-form">
					<form action="http://feedburner.google.com/fb/a/mailverify" method="post" target="popupwindow" onsubmit="window.open('http://feedburner.google.com/fb/a/mailverify?uri=<?php echo $instance['feedburner_id']; ?>', 'popupwindow', 'scrollbars=yes,width=550,height=520');return true">
						<input maxlength="128" onblur="this.value = this.value || this.defaultValue; this.style.color = '#ffffff';" onfocus="this.value=''; this.style.color = '#ffffff';" type="text" class="feedburner-input" name="email" value="<?php _e('your email address', 'framework'); ?>"/>
						<input type="hidden" value="<?php echo $sd_data['feedburner_id']; ?>" name="uri"/>
						<input type="hidden" name="loc" value="en_US"/>
						<input type="submit" class="feedburner-button" value="<?php _e('Go', 'framework'); ?>" />
					</form>
				</div>
			</div>
			<span class="triangle-arrow-newsletter"> </span>
			<div class="right-bg"></div>
		</div>
	</div>
	<!-- footer content -->
	<div class="container footer-middle"> 
		
		<!-- footer widgets -->
		<div class="footer-widgets clearfix">
			<div class="footer-left-column">
				<?php dynamic_sidebar( 'footer-left-sidebar' ); ?>
			</div>
			<div class="footer-middle-column">
				<?php dynamic_sidebar( 'footer-middle-sidebar' ); ?>
			</div>
			<div class="footer-right-column">
				<?php dynamic_sidebar( 'footer-right-sidebar' ); ?>
			</div>
		</div>
		<!-- footer widgets end -->
		<div class="bottom-footer clearfix">
			<div class="six columns">
				<?php /* Replace default text if option is set */
	if( $sd_data['copyright'] != '') : ?>
				<p><?php echo stripslashes($sd_data['copyright']); ?></p>
				<?php else : ?>
				<p>Copyright &copy; <?php echo the_time('Y'); ?> - <a href="<?php echo home_url( '/' ) ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"> <?php echo get_bloginfo( 'name' ); ?> </a> </p>
				<?php endif; ?>
			</div>
			
			
	<div class="ten columns">
	<?php if ( $sd_data['social_icons_footer'] == 1) : ?>
		<!-- social bottom -->
			<div class="social-bottom">
				
				<!-- subscribe -->
				<ul>
					<?php if ( !empty($sd_data['social_twitter_footer']) ) : ?>
					<li class="twitter-icon"><a rel="nofollow" href="http://twitter.com/<?php echo $sd_data['social_twitter_footer']; ?>" title="Twitter">Twitter</a></li>
					<?php endif; ?>
					<?php if ( !empty($sd_data['social_facebook_footer']) ) : ?>
					<li class="facebook-icon"><a rel="nofollow" href="<?php echo $sd_data['social_facebook_footer']; ?>" title="Facebook">Facebook</a></li>
					<?php endif; ?>
					<?php if ( !empty($sd_data['social_flickr_footer']) ) : ?>
					<li class="flickr-icon"><a rel="nofollow" href="<?php echo $sd_data['social_flickr_footer']; ?>" title="Flickr">Flickr</a></li>
					<?php endif; ?>
					<?php if ( !empty($sd_data['social_rss_footer']) ) : ?>
					<li class="rss-icon"><a rel="nofollow" href="<?php echo $sd_data['social_rss_footer']; ?>" title="RSS">RSS</a></li>
					<?php endif; ?>
				</ul>
				<!-- subscribe end -->
			</div>
			<!-- social footer end --> 
		<?php endif; ?>
		<?php if ( $sd_data['menu_footer'] == 1) : ?>
		<div class="footer-menu">
			<?php
			// Using wp_nav_menu() to display menu
			wp_nav_menu( array(
				'menu' => 'Footer', // Select the menu to show by Name
				'class' => '',
				'menu_class' =>'',
				'menu_id' => '',
				'container' => false, // Remove the navigation container div
				'theme_location' => 'Footer Menu'
				)
			);
			?>
		</div>
		<!-- footer menu end --> 
		<?php endif; ?>
			</div>
		</div>
		<!-- bottom footer end --> 
	</div>
	<!-- footer content end --> 
</footer>
<!-- footer end -->
</section>
<!-- wrapper end -->
<?php wp_footer(); ?>
</body></html>